[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TFileStream.FileName

The filename of the stream.

## Declaration

Source position: classesh.inc line 1035

`public property TFileStream.FileName : string read FFilename;`

## Description

FileName is the name of the file that the stream reads from or writes to. It is the name as passed in the constructor of the stream; it cannot be changed. To write to another file, the stream must be freed and created again with the new filename.

## See also

TFileStream.Create |  | Creates a file stream.